xn::ModuleDevice Class Reference

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleDevice:
[legend]

## Public Member Functions

virtual | ~ModuleDevice ()
virtual ModuleDeviceIdentificationInterface * | GetIdentificationInterface ()
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleDevice()

virtual xn::ModuleDevice::~ModuleDevice | ( |  | ) |

inline virtual

## Member Function Documentation

## GetIdentificationInterface()

virtual ModuleDeviceIdentificationInterface * xn::ModuleDevice::GetIdentificationInterface | ( |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h